%define qtdir %_prefix/lib/qt3

Name:		qtparted
Version:	0.4.5
Release:	%mkrel 4
Summary:	Flexible partitioning tool
License:	GPL
Group:		System/Configuration/Hardware
URL:		http://qtparted.sourceforge.net/
Source:		%name-%version.tar.bz2
# parted 1.7.x support, adapted from CVS
# http://qtparted.cvs.sourceforge.net/qtparted/qtparted-003/qtparted-003/src/qp_fswrap.cpp?r1=1.30&r2=1.32&view=patch
Patch0:		qtparted-parted1.7.patch
Buildroot:	%_tmppath/%name-buildroot
BuildRequires: e2fsprogs-devel 
BuildRequires: readline-devel
BuildRequires: libntfs-devel 
BuildRequires: ntfsprogs 
BuildRequires: jfsprogs
BuildRequires: gpm-devel 
BuildRequires: ncurses-devel 
BuildRequires: libqt-devel
BuildRequires: parted-devel
BuildRequires: autoconf2.5
BuildRequires: automake


%description
QTParted is a qt frontend for parted.

GNU Parted is a program that allows you to create, destroy,
resize, move and copy hard disk partitions. This is useful for
creating space for new operating systems, reorganising disk
usage, and copying data to new hard disks.

%prep
%setup -q
%patch0 -p1 -b .parted1.7
# We need get rid of deprecated unsermake
make -f admin/Makefile.common

%build
PATH=$PATH:%{qtdir}/bin/

# we miss reiserfsprogs library:
%configure2_5x \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif \ 
   --with-qt-libraries=%{qtdir}/%{_lib} \
   --disable-reiserfs \
   --disable-static \
   --disable-xfs

%make

%install
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%_mandir/man1
install -m644 doc/%name.1 $RPM_BUILD_ROOT%_mandir/man1
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %name

%preun
%_remove_install_info %name


%files -f %name.lang
%defattr(-,root,root,755)
%doc COPYING doc/README
%_datadir/applnk/System/%name.desktop
%_datadir/pixmaps/%name.xpm
%_datadir/%name
%_mandir/man1/*
%_sbindir/*




%changelog
* Mon Jan 22 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.4.5-4mdv2007.0
+ Revision: 112043
- Rebuild to fix bug #27944

  + Jérôme Soyer <saispo@mandriva.org>
    - Rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild for new parted (#26564)

* Tue Jul 11 2006 Olivier Blin <oblin@mandriva.com> 0.4.5-1mdv2007.0
+ Revision: 38789
- use makeinstall_std again
- parted 1.7.x support, adapted from CVS
- use a more classical fields layout in spec file
- drop duplicated BuildRequires
- run autoreconf not to use unsermake
- 0.4.5
- use BuildRequires instead of BuildPrereq
- fix configure script options on i586 (it broke build)
- import qtparted-0.4.4-6mdk

  + Helio Chissini de Castro <helio@mandriva.com>
    - Fix qt detection on x86_6
    - Rebuild the buildsystem to avoid wrong unsermake requires


* Mon Feb 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.4-6mdk
- Fix Build for amd64

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.4-5mdk
- BuildRequires fix

* Sun Oct 02 2005 Olivier Blin <oblin@mandriva.com> 0.4.4-4mdk
- rebuild for parted-1.6.24

* Tue Nov 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.4-3mdk
- relink with new libparted-1.6.so.12 library (#12334)

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.4-2mdk
- REbuild

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.4-1mdk
- 0.4.4

* Mon Dec 08 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.1-1mdk
- initial release

